Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class ResourceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

Direct Known Subclasses:
  ContentResourceImpl, DataSourceImpl, DataTypeImpl, FileResourceImpl, FolderImpl, InputControlImpl, ListOfValuesImpl, MondrianXMLADefinitionImpl, OlapClientConnectionImpl, OlapUnitImpl, QueryImpl, ReportUnitImpl

    public abstract class ResourceImpl

extends java.lang.Object
implements Resource

Version:
  $Id: ResourceImpl.java 9116 2007-07-17 00:04:55Z sbirney $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`protected` | `ResourceImpl()`

Method Summary
`java.util.List` | `getAttributes()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`protected abstract java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getParentPath()`
`java.lang.String` | `getParentURI()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getURI()`
`java.lang.String` | `getURIString()`
`int` | `getVersion()`
`boolean` | `isNew()`
`void` | `setAttributes(java.util.List attrs)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setParentFolder(Folder folder)`
`void` | `setParentFolder(java.lang.String folderURI)`
`void` | `setURIString(java.lang.String uri)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### ResourceImpl

    protected ResourceImpl()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Resource`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `Resource`

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `Resource`

### setLabel

    public void setLabel(java.lang.String label)

  Specified by:
    `setLabel` in interface `Resource`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Resource`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `Resource`

### getURIString

    public java.lang.String getURIString()

  Specified by:
    `getURIString` in interface `Resource`

### setURIString

    public void setURIString(java.lang.String uri)

  Specified by:
    `setURIString` in interface `Resource`

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `InternalURI`

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    `getProtocol` in interface `InternalURI`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `InternalURI`

### getParentURI

    public java.lang.String getParentURI()

  Specified by:
    `getParentURI` in interface `InternalURI`

### getParentPath

    public java.lang.String getParentPath()

  Specified by:
    `getParentPath` in interface `InternalURI`

### getParentFolder

    public java.lang.String getParentFolder()

  Specified by:
    `getParentFolder` in interface `Resource`

### setParentFolder

    public void setParentFolder(Folder folder)

  Specified by:
    `setParentFolder` in interface `Resource`

### setParentFolder

    public void setParentFolder(java.lang.String folderURI)

  Specified by:
    `setParentFolder` in interface `Resource`

### getAttributes

    public java.util.List getAttributes()

  Specified by:
    `getAttributes` in interface `AttributedObject`
  Returns:
    List of Attributes for the object

### setAttributes

    public void setAttributes(java.util.List attrs)

  Specified by:
    `setAttributes` in interface `AttributedObject`

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in interface `Resource`

### setVersion

    public void setVersion(int version)

  Specified by:
    `setVersion` in interface `Resource`

### getResourceType

    public java.lang.String getResourceType()

  Specified by:
    `getResourceType` in interface `Resource`

### getImplementingItf

    protected abstract java.lang.Class getImplementingItf()

### getCreationDate

    public java.util.Date getCreationDate()

  Specified by:
    `getCreationDate` in interface `Resource`

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

  Specified by:
    `setCreationDate` in interface `Resource`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `Resource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.